read_bbt
Prev | Chapter 11. Internal Functions Provided | Next

## Name

read_bbt — [GENERIC] Read the bad block table starting from page

## Synopsis

`int read_bbt (` | struct mtd_info * | mtd,
| uint8_t * | buf,
| int | page,
| int | num,
| int | bits,
| int | offs,
| int | reserved_block_code`)`;

## Arguments

`mtd`

  MTD device structure

`buf`

  temporary buffer

`page`

  the starting page

`num`

  the number of bbt descriptors to read

`bits`

  number of bits per block

`offs`

  offset in the memory table

`reserved_block_code`

  Pattern to identify reserved blocks

## Description

Read the bad block table starting from page.

Prev | Up | Next
check_short_pattern | Home | read_abs_bbt